﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Test._Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Fixed control</title>

    <script language="javascript" type="text/javascript">

        var OnMapCreating = function(map) {
            OpenLayers.Control.FixedElement = OpenLayers.Class(OpenLayers.Control.Attribution, {
                innerHTML: null,
                initialize: function(url) {
                    this.innerHTML = '<img src="' + url + '" />';
                },

                updateAttribution: function() {
                if (this.map && this.innerHTML) {
                        // You can set the element positon here.
                        this.div.style.right = "10px";
                        this.div.style.bottom = "10px";
                        this.div.innerHTML = "";
                        this.div.innerHTML = this.innerHTML;
                    }
                },

                CLASS_NAME: "OpenLayers.Control.FixedElement"
            });
        }

        var OnMapCreated = function(map) {
            var control = new OpenLayers.Control.FixedElement("FixedElement.ashx");
            map.addControl(control);
        }

        var UpdateFixedElement = function() {
            var map = Map1.GetOpenLayersMap();
            var fixedElement = map.getControlsByClass("OpenLayers.Control.FixedElement")[0];
            if (fixedElement != undefined) {
                fixedElement.updateAttribution();
            }
        }
    
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager runat="server" ID="ScriptManager1" />
    <div>
        <asp:UpdatePanel ID="updatePanelMap" runat="server">
            <ContentTemplate>
                <cc1:Map runat="server" ID="Map1" MapUnit="DecimalDegree" Width="800" Height="600" />
            </ContentTemplate>
        </asp:UpdatePanel>
        <asp:Button ID="Button1" runat="server" Text="Button" />
    </div>
    </form>
</body>
</html>
