﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Drawing;
using System.IO;
using System.Drawing.Imaging;

namespace Test
{
    /// <summary>
    /// Summary description for $codebehindclassname$
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    public class FixedElementHandler : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {
            context.Response.ContentType = "image/png";
            Bitmap bmp = new Bitmap(300, 50);
            Graphics g = Graphics.FromImage(bmp);
            g.DrawString(Guid.NewGuid().ToString(), new Font(new FontFamily("Arial"), 12), new SolidBrush(Color.Red), 0f, 0f);
            MemoryStream stream = new MemoryStream();
            bmp.Save(stream, ImageFormat.Png);
            g.Dispose();
            context.Response.BinaryWrite(stream.ToArray());
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}
